summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndoni Morales Alastruey <ylatuya@gmail.com>2012-10-25 20:09:49 +0200
committerAndoni Morales Alastruey <ylatuya@gmail.com>2012-10-25 20:11:13 +0200
commitd3428efe7cebc88f4f08ffd2a2920a05d6c7dba4 (patch)
tree9afb9de4a32177edb852ba852d71c40f102b1b9c /tools
parentdb0025a036f6cb777e74b3e02f316fd9834197a0 (diff)
add a new tool to update packages
Diffstat (limited to 'tools')
-rw-r--r--tools/update-recipe.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/tools/update-recipe.sh b/tools/update-recipe.sh
new file mode 100644
index 00000000..d0136519
--- /dev/null
+++ b/tools/update-recipe.sh
@@ -0,0 +1,39 @@
+# Updates a recipe to a newer version
+# usage:
+# sh tools/update-recipe.sh /home/andoni/cerbero/sources/local libtasn1 2.11 http://ftp.gnu.org/gnu/libtasn1/libtasn1-2.11.tar.gz "tar -xvzf"
+
+set -e
+
+PREFIX=$1
+DEPENDENCY=$2
+VERSION=$3
+LOCATION=$4
+EXTRACT=$5
+
+SSH_LOGIN="git.keema.collabora.co.uk"
+GIT_ROOT="/srv/git.keema.collabora.co.uk/git/gst-sdk"
+REMOTE_GIT_ROOT="ssh+git://git.keema.collabora.co.uk/git/gst-sdk"
+
+curdir=`pwd`
+
+
+set -x
+cd $PREFIX/$DEPENDENCY
+git fetch --all
+git checkout upstream
+git reset --hard origin/upstream
+git rm -r *
+wget $LOCATION -O $DEPENDENCY.tarball
+
+$EXTRACT $DEPENDENCY.tarball
+
+mv $DEPENDENCY-$VERSION/* .
+rm $DEPENDENCY.tarball
+rm -rf $DEPENDENCY-$VERSION
+git add *
+git commit -m "Import upstream release $DEPENDENCY-$VERSION"
+git tag upstream/$VERSION -a -m "Tag upstream release $VERSION"
+git branch sdk-$VERSION
+git push origin sdk-$VERSION
+git push origin upstream
+git push --tags